Bug 1177972 - [RFE] modify log string "The vmusr service needs to run inside a virtual machine"
Summary: [RFE] modify log string "The vmusr service needs to run inside a virtual mach...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 21
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-31 21:13 UTC by Reartes Guillermo
Modified: 2016-05-31 09:21 UTC (History)
3 users (show)

Fixed In Version: open-vm-tools-10.0.0-7.fc23 open-vm-tools-10.0.0-7.fc22 open-vm-tools-10.0.0-7.fc21 open-vm-tools-10.0.5-2.fc23 open-vm-tools-10.0.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-28 02:23:37 UTC


Attachments (Terms of Use)

Description Reartes Guillermo 2014-12-31 21:13:08 UTC
Description of problem:

Journalctl shows:

dic 31 17:28:21 ulquiorra.espada vmusr[2567]: [ warning] [vmtoolsd] The vmusr service needs to run inside a virtual machine.

That called my attention, so i issued:

# systemctl status vmtoolsd.service 
● vmtoolsd.service - Service for virtual machines hosted on VMware
   Loaded: loaded (/usr/lib/systemd/system/vmtoolsd.service; enabled)
   Active: inactive (dead)
           start condition failed at mié 2014-12-31 17:28:06 ART; 26min ago
           ConditionVirtualization=vmware was not met
     Docs: http://open-vm-tools.sourceforge.net/about.php

When i saw that message, i could not see if it was telling me that the vmtoolsd service was running but it should not (since i was on baremetal) or that message was just a warning.

Version-Release number of selected component (if applicable):

F21 KDE Spin x86_64, on baremetal
Version: open-vm-tools-9.4.6-4.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot
2. open terminal program
3. journalctl -b 

Actual results:
nothing, it is just an RFE, but i hat to do a systemclt status. 

Expected results:

IMHO, the current string does not highlight correcly (at least to me) that the service was not started. Only issuing the previous systemctl status command made it clear that it was the case. I am asking if the string can be modified somwhat.

FROM: "The vmusr service needs to run inside a virtual machine."
TO: "The vmusr service needs to run inside a virtual machine. Not starting the service."

Additional info:

Thanks in advance.

Comment 1 Ravindra Kumar 2015-01-01 00:36:25 UTC
FYI, vmtoolsd service is different from vmusr service. vmusr service starts up when a user logs in the guest. vmtoolsd starts up with system boot.

The log message will be fixed in the next update of open-vm-tools upstream code.

Comment 2 Fedora Update System 2015-10-01 07:20:09 UTC
open-vm-tools-10.0.0-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bcae3aae6b

Comment 3 Fedora Update System 2015-10-01 07:20:10 UTC
open-vm-tools-10.0.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa358c7ef8

Comment 4 Fedora Update System 2015-10-01 07:20:25 UTC
open-vm-tools-10.0.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f39cffcc60

Comment 5 Fedora Update System 2015-10-01 22:49:57 UTC
open-vm-tools-10.0.0-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f471d4afd9

Comment 6 Fedora Update System 2015-10-01 22:49:57 UTC
open-vm-tools-10.0.0-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ec288a2c3f

Comment 7 Fedora Update System 2015-10-01 22:50:04 UTC
open-vm-tools-10.0.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d99df1e20

Comment 8 Ravindra Kumar 2015-10-03 01:35:08 UTC
Could somebody please provide some Karma to this update in F23 to go through? Thanks!

Comment 9 Fedora Update System 2015-10-04 01:36:40 UTC
open-vm-tools-10.0.0-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ec288a2c3f

Comment 10 Fedora Update System 2015-10-04 01:37:25 UTC
open-vm-tools-10.0.0-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa358c7ef8

Comment 11 Fedora Update System 2015-10-04 01:52:45 UTC
open-vm-tools-10.0.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d99df1e20

Comment 12 Fedora Update System 2015-10-04 02:20:46 UTC
open-vm-tools-10.0.0-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f471d4afd9

Comment 13 Fedora Update System 2015-10-04 02:21:15 UTC
open-vm-tools-10.0.0-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bcae3aae6b

Comment 14 Fedora Update System 2015-10-04 19:14:22 UTC
open-vm-tools-10.0.0-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-10-05 21:53:28 UTC
open-vm-tools-10.0.0-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-11-01 22:21:56 UTC
open-vm-tools-10.0.0-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-25 19:13:25 UTC
open-vm-tools-10.0.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bd6a38cad

Comment 18 Fedora Update System 2016-05-25 19:19:43 UTC
open-vm-tools-10.0.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36485d53b0

Comment 19 Fedora Update System 2016-05-26 04:53:23 UTC
open-vm-tools-10.0.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36485d53b0

Comment 20 Fedora Update System 2016-05-26 05:00:51 UTC
open-vm-tools-10.0.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bd6a38cad

Comment 21 Fedora Update System 2016-05-28 02:23:28 UTC
open-vm-tools-10.0.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-31 09:21:16 UTC
open-vm-tools-10.0.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.